
QGIS Application - Bug report #3467

Label Buffers Produces Extremely Bloated PDF Export (Vector) under Linux.

2011-02-04 07:31 PM - Thaddeus -

Status: Closed

Priority: Low

Assignee: Marco Hugentobler

Category:

Affected QGIS version: Regression?: No

Operating System: Debian Easy fix?: No

Pull Request or Patch supplied: Resolution: wontfix

Crashes QGIS or corrupts data: Copied to github as #: 13527

Description

Simply by applying "Buffer Labels" to an 8-letter label on a vector layer containing a single-feature  point creates more than a million

(1314400 --corrupted PS) lines of [[PostScript]] code that takes 5 minutes to display on a modern PC. Adding a few more features to

label crashes Composer. The composer view used has just one item, a map object. This is under Ubuntu 10.10 and QGIS 1.6.

The attached example contains the QGS file, the point SHP file along with the malformed PDF printout.

Related issues:

Related to QGIS Application - Bug report # 4336: Buffered text results in lar... Closed 2011-09-28

Related to QGIS Application - Bug report # 4821: Can't print in A0 size, used... Closed 2012-01-16

Related to QGIS Application - Bug report # 4107: Bad Allocation when Printing Closed 2011-07-21

History

#1 - 2011-04-16 06:00 AM - Marco Hugentobler

Is this with the old labeling engine (available through the vector property dialog) or with the new one (the abc-tool)?

#2 - 2011-04-16 11:35 AM - Mayeul Kauffmann

I' m looking at this

Mayeul

#3 - 2011-04-16 12:06 PM - Mayeul Kauffmann

Hi Marco,

This is with the old labeling engine (available through the vector property dialog).

When opening the qgis project in http://trac.osgeo.org/qgis/attachment/ticket/3467/BloatedPS.tar.gz I got

"This project file was saved by an older version of QGIS. When saving this project file, QGIS will update it to the latest version, possibly rendering it

useless for older versions of QGIS." (1.6.0 trunk). 

The project updated correctly to 1.7.

I can confirm the bug with several fonts (Ubuntu, Arial) at several scales, with the label engine which is available through the vector property

dialog. The labelling-NG works perfectly.

Confirmed with following readers: Adobe Reader 9.4.2 (11 Febr 2011) and Okular (Kubuntu 10.10 64 bits). Okular is smarter than Adobe Reader (gives a

low-resolution overview) but still takes 100% of one core for a while.
http://trac.osgeo.org/qgis/attachment/ticket/3467/BloatedPS.tar.gz


Hint to see the problem better: put a colored buffer. You'll see that the buffer is made of many displaced identical letters. The pdf file size is about 40 times

bigger than with labelling -NG ( 307ko vs 7.7 ko).

I changed the priority as it does not crashes qgis; it produces corrupted (output) data but does not corrupt input data.

I guess should be fixed when labelling-NG will deprecates the old labelling engine.

Mayeul

#4 - 2011-04-19 11:30 PM - Marco Hugentobler

- Resolution set to wontfix

- Status changed from Open to Closed

Hi Mayeul

Yes, it is because of the way how the old labeling engine draws buffers.

I'm setting the ticket to 'wontfix' because:

- The behaviour of QGIS is not optimal. However, it is a bug of the pdf readers they cannot cope with a large number of features

- A fix would involve to write a new logic for buffering in the old labeling engine. I believe nobody is available to invest time for something that will be

removed shortly after 1.7

Files

BloatedPS.tar.gz 46.6 KB 2011-02-04 Thaddeus -
